USN-1405-1: Linux kernel vulnerabilities

27 March 2012

Several security issues were fixed in the kernel.

Releases

Packages

  • linux - Linux kernel

Details

Paolo Bonzini discovered a flaw in Linux's handling of the SG_IO ioctl
command. A local user, or user in a VM could exploit this flaw to bypass
restrictions and gain read/write access to all data on the affected block
device. (CVE-2011-4127)

A flaw was found in the Linux kernel's ext4 file system when mounting a
corrupt filesystem. A user-assisted remote attacker could exploit this flaw
to cause a denial of service. (CVE-2012-2100)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 11.10

After a standard system update you need to reboot your computer to make
all the necessary changes.

Related notices

  • USN-1432-1: linux-image-2.6.38-15-omap, linux, linux-image-2.6.38-15-versatile, linux-image-2.6.38-15-powerpc, linux-image-2.6.38-15-generic, linux-image-2.6.38-15-powerpc-smp, linux-image-2.6.38-15-virtual, linux-image-2.6.38-15-server, linux-image-2.6.38-15-generic-pae, linux-image-2.6.38-15-powerpc64-smp
  • USN-1458-1: linux-ti-omap4, linux-image-2.6.38-1209-omap4
  • USN-1389-1: linux, linux-image-2.6.32-39-386, linux-image-2.6.32-39-generic-pae, linux-image-2.6.32-39-powerpc, linux-image-2.6.32-39-sparc64, linux-image-2.6.32-39-powerpc64-smp, linux-image-2.6.32-39-versatile, linux-image-2.6.32-39-server, linux-image-2.6.32-39-sparc64-smp, linux-image-2.6.32-39-virtual, linux-image-2.6.32-39-preempt, linux-image-2.6.32-39-lpia, linux-image-2.6.32-39-ia64, linux-image-2.6.32-39-powerpc-smp, linux-image-2.6.32-39-generic
  • USN-1384-1: linux-image-3.0.0-16-server, linux-lts-backport-oneiric, linux-image-3.0.0-16-generic, linux-image-3.0.0-16-generic-pae, linux-image-3.0.0-16-virtual
  • USN-1440-1: linux-image-2.6.38-15-generic, linux-lts-backport-natty, linux-image-2.6.38-15-server, linux-image-2.6.38-15-generic-pae, linux-image-2.6.38-15-virtual
  • USN-1404-1: linux-image-3.0.0-1208-omap4, linux-ti-omap4
  • USN-1388-1: linux-image-2.6.32-343-ec2, linux-ec2